summaryrefslogtreecommitdiff
path: root/tests/rm/ir-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/ir-1')
-rwxr-xr-xtests/rm/ir-176
1 files changed, 76 insertions, 0 deletions
diff --git a/tests/rm/ir-1 b/tests/rm/ir-1
new file mode 100755
index 0000000..71f1420
--- /dev/null
+++ b/tests/rm/ir-1
@@ -0,0 +1,76 @@
+#!/bin/sh
+# Test "rm -ir".
+
+# Copyright (C) 1997, 1998, 2002, 2004, 2006 Free Software Foundation,
+# Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+test=ir-1
+
+if test "$VERBOSE" = yes; then
+ set -x
+ rm --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
+trap 'status=$?; cd "$pwd" && rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+test_failure=0
+mkdir -p $tmp $tmp/a $tmp/b $tmp/c || test_failure=1
+> $tmp/a/a || test_failure=1
+> $tmp/b/bb || test_failure=1
+> $tmp/c/cc || test_failure=1
+
+if test $test_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+cat <<EOF > $test.I
+y
+y
+y
+y
+y
+y
+y
+y
+n
+n
+n
+EOF
+
+# Remove all but one of a, b, c -- I doubt that this test can portably
+# determine which one was removed based on order of dir entries.
+# This is a good argument for switching to a dejagnu-style test suite.
+fail=0
+rm --verbose -i -r $tmp < $test.I > /dev/null 2>&1 || fail=1
+
+# $tmp should not have been removed.
+test -d $tmp || fail=1
+
+# There should be only one directory left.
+case `echo $tmp/*` in
+ $tmp/[abc]) ;;
+ *) fail=1 ;;
+esac
+
+rm -rf $tmp $test.I
+
+(exit $fail); exit $fail